package com.ruoyi.web.controller.iot.domain;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * onenet接收到的车辆定位日志对象
 * */
@Data
public class LogEntry {

    //mac号
    @JsonProperty("dev_name")
    private String devName;

    private long at;

    private String pid;

    private int type;

    @JsonProperty("ds_id")
    private String dsId;

    private LocationValue value;

    @Data
    public class LocationValue {
        private String lon;//经度

        private String lat;//纬度

        private Integer status;//电动车状态 0断电，1上电运行 2轮动抱死  3超出区域断电（远程下发了qlose）

        private Integer bat;//电池电压  "bat":571  ==>  57.1V

        private Integer csq;//信号强度
    }
}
