package com.ruoyi.common.constant;

/**
 * 返回状态码
 *
 * @author ruoyi
 */
public class HttpStatus
{
    /**
     * 操作成功
     */
    public static final int SUCCESS = 200;

    /**
     * 对象创建成功
     */
    public static final int CREATED = 201;

    /**
     * 请求已经被接受
     */
    public static final int ACCEPTED = 202;

    /**
     * 操作已经执行成功，但是没有返回数据
     */
    public static final int NO_CONTENT = 204;

    /**
     * 资源已被移除
     */
    public static final int MOVED_PERM = 301;

    /**
     * 重定向
     */
    public static final int SEE_OTHER = 303;

    /**
     * 资源没有被修改
     */
    public static final int NOT_MODIFIED = 304;

    /**
     * 参数列表错误（缺少，格式不匹配）
     */
    public static final int BAD_REQUEST = 400;

    /**
     * 未授权
     */
    public static final int UNAUTHORIZED = 401;

    /**
     * 访问受限，授权过期
     */
    public static final int FORBIDDEN = 403;

    /**
     * 资源，服务未找到
     */
    public static final int NOT_FOUND = 404;

    /**
     * 不允许的http方法
     */
    public static final int BAD_METHOD = 405;

    /**
     * 资源冲突，或者资源被锁
     */
    public static final int CONFLICT = 409;

    /**
     * 不支持的数据，媒体类型
     */
    public static final int UNSUPPORTED_TYPE = 415;

    /**
     * 系统内部错误
     */
    public static final int ERROR = 500;

    /**
     * 接口未实现
     */
    public static final int NOT_IMPLEMENTED = 501;

    /**
     * 系统警告消息
     */
    public static final int WARN = 601;


    /**----------------------------IOT错误码start----------------------------*/

    /**
     * 成功
     */
    public static final String IOT_SUCCESS = "0";
    /**
     * 错误码  新增设备失败：设备已存在
     */
    public static final String ERROR_CODE_DEVICE_ALREADY_EXISTS = "10406";

    /**
     * 错误码  设备不存在
     */
    public static final String ERROR_CODE_DEVICE_NON_EXISTENT = "10410";
    /**
     * 错误码  设备属性设置失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_SET_FAIL = "10411";
    /**
     * 错误码  设备属性期望设置失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_SET_FAIL = "10412";
    /**
     * 错误码  设备属性期望查询失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_QUERY_FAIL = "10413";
    /**
     * 错误码  设备属性获取失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_GET_FAIL = "10414";
    /**
     * 错误码  设备服务调用失败
     */
    public static final String ERROR_CODE_DEVICE_SERVICE_CALL_FAIL = "10415";
    /**
     * 错误码  设备属性期望删除失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_DALETE_FAIL = "10416";
    /**
     * 错误码  设备最新数据查询失败
     */
    public static final String ERROR_CODE_DEVIE_NEW_DATA_QUERY_FAIL = "10417";
    /**
     * 错误码  设备属性历史数据查询失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_HISTORY_QUERY_FAIL = "10418";
    /**
     * 错误码  设备事件历史数据查询失败
     */
    public static final String ERROR_CODE_DEVICE_EVENT_HISTORY_DATA_QUERY_FAIL = "10419";
    /**
     * 错误码  设备操作记录查询失败
     */
    public static final String ERROR_CODE_DEVICE_OPERATE_RECORD_QUERY_FAIL = "10420";
    /**
     * 错误码  设备不在线
     */
    public static final String ERROR_CODE_DEVICE_NOT_ONLINE = "10421";

    /**
     * 错误码  新增设备失败：设备已存在
     */
    public static final String ERROR_CODE_DEVICE_ALREADY_EXISTS_MSG = "10406";

    /**
     * 错误码  设备不存在
     */
    public static final String ERROR_CODE_DEVICE_NON_EXISTENT_MSG = "设备不存在";
    /**
     * 错误码  设备属性设置失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_SET_FAIL_MSG = "设备属性设置失败";
    /**
     * 错误码  设备属性期望设置失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_SET_FAIL_MSG = "设备属性期望设置失败";
    /**
     * 错误码  设备属性期望查询失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_QUERY_FAIL_MSG = "设备属性期望查询失败";
    /**
     * 错误码  设备属性获取失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_GET_FAIL_MSG = "设备属性获取失败";
    /**
     * 错误码  设备服务调用失败
     */
    public static final String ERROR_CODE_DEVICE_SERVICE_CALL_FAIL_MSG = "设备服务调用失败";
    /**
     * 错误码  设备属性期望删除失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_DESIRE_DALETE_FAIL_MSG = "设备属性期望删除失败";
    /**
     * 错误码  设备最新数据查询失败
     */
    public static final String ERROR_CODE_DEVIE_NEW_DATA_QUERY_FAIL_MSG = "设备最新数据查询失败";
    /**
     * 错误码  设备属性历史数据查询失败
     */
    public static final String ERROR_CODE_DEVICE_ATTRIBUTE_HISTORY_QUERY_FAIL_MSG = "设备属性历史数据查询失败";
    /**
     * 错误码  设备事件历史数据查询失败
     */
    public static final String ERROR_CODE_DEVICE_EVENT_HISTORY_DATA_QUERY_FAIL_MSG = "设备事件历史数据查询失败";
    /**
     * 错误码  设备操作记录查询失败
     */
    public static final String ERROR_CODE_DEVICE_OPERATE_RECORD_QUERY_FAIL_MSG = "设备操作记录查询失败";
    /**
     * 错误码  设备不在线
     */
    public static final String ERROR_CODE_DEVICE_NOT_ONLINE_MSG = "设备不在线";

    /**----------------------------IOT错误码end----------------------------*/
}
