package com.ruoyi.common.utils.wx;

import cn.binarywang.wx.miniapp.api.WxMaService;
import cn.binarywang.wx.miniapp.api.impl.WxMaServiceImpl;
import cn.binarywang.wx.miniapp.config.impl.WxMaDefaultConfigImpl;
import com.ruoyi.common.utils.spring.SpringUtils;
import lombok.SneakyThrows;

import java.util.concurrent.TimeUnit;

public class AccessTokenUtil {

    /** 缓存token */
    private static String cachedToken;

    /** token过期时间 */
    private static long tokenExpirationTime;

    @SneakyThrows
    public static String getToken() {
        if (isTokenExpired()) {
            String APPID = SpringUtils.getRequiredProperty("wx.appid");
            String APPSECRET = SpringUtils.getRequiredProperty("wx.appSecret");
            WxMaService wxMaService = new WxMaServiceImpl();
            WxMaDefaultConfigImpl config = new WxMaDefaultConfigImpl();
            config.setAppid(APPID);
            config.setSecret(APPSECRET);
            wxMaService.setWxMaConfig(config);
            String accessToken = wxMaService.getAccessToken();
            cachedToken = accessToken;
            // 更新 token 过期时间
            tokenExpirationTime = System.currentTimeMillis() + TimeUnit.SECONDS.toMillis(3600L);
            return cachedToken;
        }
        return cachedToken;
    }

    /**判断token是否过期*/
    private static boolean isTokenExpired() {
        return cachedToken == null || System.currentTimeMillis() > tokenExpirationTime;
    }
}
