package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统工单对象 et_admin_order
 *
 * @author 邱贞招
 * @date 2024-05-05
 */
@Data
public class EtAdminOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String orderNo;

    /** 设备mac */
    @Excel(name = "设备mac")
    private String deviceMac;

    /** 设备sn */
    @Excel(name = "设备sn")
    private String sn;

    /** 设备对象 */
    @Excel(name = "设备对象")
    private AsDevice device;

    /** 运维人员id */
    @Excel(name = "运维人员id")
    private Long adminId;

    /** 运维人员 */
    @Excel(name = "运维人员")
    private String adminName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String phone;

    /** 换电前电量 */
    @Excel(name = "换电前电量")
    private Integer beforeElectric;

    /** 换电后电量 */
    @Excel(name = "换电后电量")
    private Integer afterElectric;

    /** 开电池仓时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "开电池仓时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date openTime;

    /** 关电池仓时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "关电池仓时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date closeTime;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 故障id */
    @Excel(name = "故障id")
    private Long faultId;

    /** 故障对象 */
    @Excel(name = "故障对象")
    private EtFault fault;

    /** 故障类型 */
    @Excel(name = "故障类型")
    private String faultType;

    /** 故障类型(多个) */
    @Excel(name = "故障类型(多个)")
    private List<String> faultTypes;

    /** 故障类型Str */
    @Excel(name = "故障类型Str")
    private String faultTypeStr;

    /** 维修类型：1-现场维修，2-返仓维修 */
    @Excel(name = "维修类型：1-现场维修，2-返仓维修")
    private String repairType;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 是否成功：0-失败，1-成功 */
    @Excel(name = "是否成功：0-失败，1-成功")
    private String isSuccess;

    /** 是否有效：0-无效，1-有效 */
    @Excel(name = "是否有效：0-无效，1-有效")
    private String isEffective;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 维修完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "维修完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date completeTime;

    /** 经度 */
    @Excel(name = "经度")
    @TableField(exist = false)
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    @TableField(exist = false)
    private String latitude;

}
