package com.ruoyi.system.domain;

import java.math.BigDecimal;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 资金流水对象 et_capital_flow
 *
 * @author 邱贞招
 * @date 2024-05-24
 */
@Data
public class EtCapitalFlow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流水id */
    private Long flowId;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 关联订单号 */
    @Excel(name = "关联订单号")
    private String orderNo;

    /** 第三方交易单号 */
    @Excel(name = "第三方交易单号")
    private String outTradeNo;

    /** 收支类型 */
    @Excel(name = "收支类型")
    private String type;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String busType;

    /** 交易金额 */
    @Excel(name = "交易金额")
    private BigDecimal amount;

    /** 手续费 */
    @Excel(name = "手续费")
    private BigDecimal handlingCharge;

    /** 运营商分账 */
    @Excel(name = "运营商分账")
    private BigDecimal operatorDividend;

    /** 运营商结余 */
    @Excel(name = "运营商结余")
    private BigDecimal operatorBalance;

    /** 合伙人分账 */
    @Excel(name = "合伙人分账")
    private BigDecimal partnerDividend;

    /** 支付方式 */
    @Excel(name = "支付方式")
    private String payType;

}
