package com.ruoyi.system.domain.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 押金管理视图层
 *
 * @author 邱贞招
 * @date 2024-05-24
 */
@Data
public class RechargeVo {

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 内部交易号 */
    @Excel(name = "内部交易号")
    private String outTradeNo;

    /** 类型:2-押金充值；3-押金退款 */
    @Excel(name = "类型")
    private String rechargeType;

    /** 订单总金额（元） */
    @Excel(name = "订单总金额（元）")
    private BigDecimal totalFee;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户 */
    @Excel(name = "用户")
    private String userName;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phonenumber;

    /** 充值状态:1-充值成功;2-退款成功； */
    @Excel(name = "充值状态:1-充值成功;2-退款成功；")
    private String rechargeStatus;

}
