package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对账数据
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class ReconciliationVo {

    private List<Reconciliation> reconciliationList;

    //总支付金额
    private BigDecimal totalPayFee;

    //总退款金额
    private BigDecimal totalRefundFee;

    //总手续费
    private BigDecimal totalServiceFee;

    //总收入
    private BigDecimal totalIncome;

    @Data
    public  static class Reconciliation {

        //日期 格式：yyyy-MM-dd
        private String day;

        //sn
        private String sn;

        //支付金额
        private BigDecimal payFee = BigDecimal.ZERO;

        //已退款
        private BigDecimal refundFee= BigDecimal.ZERO;

        //手续费
        private BigDecimal serviceFee= BigDecimal.ZERO;

        //收入
        private BigDecimal income= BigDecimal.ZERO;
    }
}
