package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.EtArticle;

import java.util.List;

/**
 * 文章Mapper接口
 *
 * @author qiuzhenzhao
 * @date 2023-12-06
 */
public interface AsArticleMapper
{
    /**
     * 查询文章
     *
     * @param articleId 文章主键
     * @return 文章
     */
    public EtArticle selectAsArticleByArticleId(Long articleId);

    /**
     * 查询文章列表
     *
     * @param etArticle 文章
     * @return 文章集合
     */
    public List<EtArticle> selectAsArticleList(EtArticle etArticle);

    /**
     * 新增文章
     *
     * @param etArticle 文章
     * @return 结果
     */
    public int insertAsArticle(EtArticle etArticle);

    /**
     * 修改文章
     *
     * @param etArticle 文章
     * @return 结果
     */
    public int updateAsArticle(EtArticle etArticle);

    /**
     * 删除文章
     *
     * @param articleId 文章主键
     * @return 结果
     */
    public int deleteAsArticleByArticleId(Long articleId);

    /**
     * 批量删除文章
     *
     * @param articleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAsArticleByArticleIds(Long[] articleIds);

}
