package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtCapitalFlow;

/**
 * 资金流水Mapper接口
 *
 * @author 邱贞招
 * @date 2024-05-24
 */
public interface EtCapitalFlowMapper
{
    /**
     * 查询资金流水
     *
     * @param flowId 资金流水主键
     * @return 资金流水
     */
    public EtCapitalFlow selectEtCapitalFlowByFlowId(Long flowId);

    /**
     * 查询资金流水列表
     *
     * @param etCapitalFlow 资金流水
     * @return 资金流水集合
     */
    public List<EtCapitalFlow> selectEtCapitalFlowList(EtCapitalFlow etCapitalFlow);

    /**
     * 新增资金流水
     *
     * @param etCapitalFlow 资金流水
     * @return 结果
     */
    public int insertEtCapitalFlow(EtCapitalFlow etCapitalFlow);

    /**
     * 修改资金流水
     *
     * @param etCapitalFlow 资金流水
     * @return 结果
     */
    public int updateEtCapitalFlow(EtCapitalFlow etCapitalFlow);

    /**
     * 删除资金流水
     *
     * @param flowId 资金流水主键
     * @return 结果
     */
    public int deleteEtCapitalFlowByFlowId(Long flowId);

    /**
     * 批量删除资金流水
     *
     * @param flowIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtCapitalFlowByFlowIds(Long[] flowIds);

    EtCapitalFlow selectEtCapitalFlowByOutTradeNo(String outTradeNo);
}
