package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtDividendDetail;

/**
 * 分账明细Mapper接口
 *
 * @author 邱贞招
 * @date 2024-05-27
 */
public interface EtDividendDetailMapper
{
    /**
     * 查询分账明细
     *
     * @param id 分账明细主键
     * @return 分账明细
     */
    public EtDividendDetail selectEtDividendDetailById(Long id);

    /**
     * 查询分账明细列表
     *
     * @param etDividendDetail 分账明细
     * @return 分账明细集合
     */
    public List<EtDividendDetail> selectEtDividendDetailList(EtDividendDetail etDividendDetail);

    /**
     * 新增分账明细
     *
     * @param etDividendDetail 分账明细
     * @return 结果
     */
    public int insertEtDividendDetail(EtDividendDetail etDividendDetail);

    /**
     * 修改分账明细
     *
     * @param etDividendDetail 分账明细
     * @return 结果
     */
    public int updateEtDividendDetail(EtDividendDetail etDividendDetail);

    /**
     * 删除分账明细
     *
     * @param id 分账明细主键
     * @return 结果
     */
    public int deleteEtDividendDetailById(Long id);

    /**
     * 批量删除分账明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtDividendDetailByIds(Long[] ids);


    /**
     * 判断是否已经计算过
     * @param date
     * @return
     */
    public int isDividendComputed(String date);

}
