package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtFault;

/**
 * 故障上报Mapper接口
 * 
 * @author 邱贞招
 * @date 2024-04-06
 */
public interface EtFaultMapper 
{
    /**
     * 查询故障上报
     * 
     * @param faultId 故障上报主键
     * @return 故障上报
     */
    public EtFault selectEtFaultByFaultId(Long faultId);

    /**
     * 查询故障上报列表
     * 
     * @param etFault 故障上报
     * @return 故障上报集合
     */
    public List<EtFault> selectEtFaultList(EtFault etFault);

    /**
     * 新增故障上报
     * 
     * @param etFault 故障上报
     * @return 结果
     */
    public int insertEtFault(EtFault etFault);

    /**
     * 修改故障上报
     * 
     * @param etFault 故障上报
     * @return 结果
     */
    public int updateEtFault(EtFault etFault);

    /**
     * 删除故障上报
     * 
     * @param faultId 故障上报主键
     * @return 结果
     */
    public int deleteEtFaultByFaultId(Long faultId);

    /**
     * 批量删除故障上报
     * 
     * @param faultIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtFaultByFaultIds(Long[] faultIds);
}
