package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.EtParkingArea;

import java.util.List;

/**
 * 停车区Mapper接口
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
public interface EtParkingAreaMapper extends BaseMapper<EtParkingArea>
{
    /**
     * 查询停车区
     *
     * @param parkingId 停车区主键
     * @return 停车区
     */
    public EtParkingArea selectEtParkingAreaByParkingId(Long parkingId);

    /**
     * 查询停车区列表
     *
     * @param etParkingArea 停车区
     * @return 停车区集合
     */
    public List<EtParkingArea> selectEtParkingAreaList(EtParkingArea etParkingArea);

    /**
     * 新增停车区
     *
     * @param etParkingArea 停车区
     * @return 结果
     */
    public int insertEtParkingArea(EtParkingArea etParkingArea);

    /**
     * 修改停车区
     *
     * @param etParkingArea 停车区
     * @return 结果
     */
    public int updateEtParkingArea(EtParkingArea etParkingArea);

    /**
     * 删除停车区
     *
     * @param parkingId 停车区主键
     * @return 结果
     */
    public int deleteEtParkingAreaByParkingId(Long parkingId);

    /**
     * 批量删除停车区
     *
     * @param parkingIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtParkingAreaByParkingIds(Long[] parkingIds);

    /**
     * 校验停车区是否唯一
     *
     * @param parkingName 运营区信息
     * @return 结果
     */
    public EtParkingArea checkParkingNameUnique(String parkingName);
}
