package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtCapitalFlow;

/**
 * 资金流水Service接口
 *
 * @author 邱贞招
 * @date 2024-05-24
 */
public interface IEtCapitalFlowService
{
    /**
     * 查询资金流水
     *
     * @param flowId 资金流水主键
     * @return 资金流水
     */
    public EtCapitalFlow selectEtCapitalFlowByFlowId(Long flowId);

    /**
     * 根据第三方交易单号查询资金流水
     *
     * @param outTradeNo 第三方交易单号
     * @return 资金流水
     */
    public EtCapitalFlow selectEtCapitalFlowByOutTradeNo(String outTradeNo);

    /**
     * 查询资金流水列表
     *
     * @param etCapitalFlow 资金流水
     * @return 资金流水集合
     */
    public List<EtCapitalFlow> selectEtCapitalFlowList(EtCapitalFlow etCapitalFlow);

    /**
     * 新增资金流水
     *
     * @param etCapitalFlow 资金流水
     * @return 结果
     */
    public int insertEtCapitalFlow(EtCapitalFlow etCapitalFlow);

    /**
     * 修改资金流水
     *
     * @param etCapitalFlow 资金流水
     * @return 结果
     */
    public int updateEtCapitalFlow(EtCapitalFlow etCapitalFlow);

    /**
     * 批量删除资金流水
     *
     * @param flowIds 需要删除的资金流水主键集合
     * @return 结果
     */
    public int deleteEtCapitalFlowByFlowIds(Long[] flowIds);

    /**
     * 删除资金流水信息
     *
     * @param flowId 资金流水主键
     * @return 结果
     */
    public int deleteEtCapitalFlowByFlowId(Long flowId);
}
