package com.ruoyi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.EtOperatingArea;
import com.ruoyi.system.domain.EtParkingArea;

/**
 * 停车区Service接口
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
public interface IEtParkingAreaService extends IService<EtParkingArea>
{
    /**
     * 查询停车区
     *
     * @param parkingId 停车区主键
     * @return 停车区
     */
    public EtParkingArea selectEtParkingAreaByParkingId(Long parkingId);

    /**
     * 查询停车区列表
     *
     * @param etParkingArea 停车区
     * @return 停车区集合
     */
    public List<EtParkingArea> selectEtParkingAreaList(EtParkingArea etParkingArea);

    /**
     * 新增停车区
     *
     * @param etParkingArea 停车区
     * @return 结果
     */
    public int insertEtParkingArea(EtParkingArea etParkingArea);

    /**
     * 修改停车区
     *
     * @param etParkingArea 停车区
     * @return 结果
     */
    public int updateEtParkingArea(EtParkingArea etParkingArea);

    /**
     * 批量删除停车区
     *
     * @param parkingIds 需要删除的停车区主键集合
     * @return 结果
     */
    public int deleteEtParkingAreaByParkingIds(Long[] parkingIds);

    /**
     * 删除停车区信息
     *
     * @param parkingId 停车区主键
     * @return 结果
     */
    public int deleteEtParkingAreaByParkingId(Long parkingId);

    /**
     * 校验停车区是否唯一
     *
     * @param etParkingArea 运营区信息
     * @return 结果
     */
    public boolean checkParkingNameUnique(EtParkingArea etParkingArea);

    /**
     * 所有停车点
     */
    List<EtParkingArea> allParkingArea();
}
